Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs
compare.hpp File Reference

## Classes
struct | ranges::common_comparison_category< Ts >

## Typedefs
template<typename... Ts>
using | ranges::common_comparison_category_t = ((std::is_same_v< Ts, std::partial_ordering >||std::is_same_v< Ts, std::weak_ordering >||std::is_same_v< Ts, std::strong_ordering >) &&...) struct common_comparison_category< Ts... > typename common_comparison_category< Ts... >::type